[GE users] [GE dev] SOLVED: P1 bug when upgrading from SGE 6.2/6.2u1 to SGE 6.2u2

dangruhn Dan.Gruhn at groupw.com
Thu Mar 19 01:10:43 GMT 2009


Mike,

GE (Grid Engine) and SGE (Sun Grid Engine) are slightly different terms 
for the same thing.  I have only been working with SGE a few years, but 
it seems to be a matter of preference, with GE seeming to be the more 
general term.

The "open source version" refers to the actual source code.  This is 
freely available, but you have to compile it yourself.  The advantage is 
that it is available immediately with a release.

The "courtesy binaries" are compiled versions of a given release that 
someone (or perhaps several people) have compiled for various 
architectures and are made available as a courtesy to us so that we 
don't have to go through the compilation on our own.

Hope that helps,

Dan

mhanby wrote:
> I'm a little confused by some terminology, are "courtesy binaries", "GE
> 6.2xxx (as opposed to SGE 6.2xxx)" and "open source version of Grid
> Engine" interchangeable?
>
> Also, will the new GUI installer be available with the courtesy
> binaries?
>
> thanks,
>
> Mike
>
> -----Original Message-----
> From: andy [mailto:andy.schwierskott at sun.com] 
> Sent: Tuesday, March 17, 2009 11:33 AM
> To: users at gridengine.sunsource.net; dev at gridengine.sunsource.net
> Subject: [GE users] [GE dev] SOLVED: P1 bug when upgrading from SGE
> 6.2/6.2u1 to SGE 6.2u2
>
> Hi,
>
> this problem is now solved!
>
> The Sun Grid Engine 6.2 Update 2_1 (SGE 6.2u2_1) relase is now available
> on
> Sunsolve:
>
>   http://www.sun.com/software/sge/get_it.jsp
>
> (don't get confused this page shows 6.2u2, the next page shows the
> correct
> strings).
>
> Next week we plan to make the courtesy binaries available.
>
> Andy
>
>
> On Mon, 9 Mar 2009, Andy Schwierskott wrote:
>
>   
>> Hi,
>>
>> our users have discovered a P1 bug which will prevent most users from
>> starting SGE 6.2u2 (qmaster) after upgrading from SGE 6.2/6.2u1 to SGE
>> 6.2u2:
>>
>>    http://gridengine.sunsource.net/issues/show_bug.cgi?id=2949
>>
>> Who is affected
>> ---------------
>>    All sites who run SGE 6.2/6.2u1
>>       - with pending or running jobs in the system which request
>>         resources (using "-l")
>>       - where complex attributes are configured in the "global" or
>>     
> local
>   
>>         host config or queues
>>
>> Who is not affected
>> -------------------
>>   - sites installing a new SGE cluster
>>   - sites making an upgrade from SGE 6.0/6.1 to SGE 6.2u2
>>   - sites with no pending/running jobs in an existing SGE cluster and
>>     no complex attributes configured in the "global" or local host
>>     
> configor
>   
>>     queues
>>
>> Workaround
>> ----------
>>   - there is NO workaround possible if there are pending or running
>>     
> jobs in
>   
>>     the SGE cluster
>>   - sites having complex attributes configured in the "global" or
>>     
> local
>   
>>     host config or in their queues and there are no pending/runnnig
>>     
> jobs in
>   
>>     the cluster can run the SGE upgrade procedure
>>        % inst_sge -upd
>>     See the documentation how to run the upgrade procedure:
>>        http://wikis.sun.com/display/gridengine62u2/Upgrading
>>
>> Regards,
>> Andy
>>
>>     
>
> ------------------------------------------------------
> http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessage
> Id=134425
>
> To unsubscribe from this discussion, e-mail:
> [users-unsubscribe at gridengine.sunsource.net].
>
> ------------------------------------------------------
> http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=135451
>
> To unsubscribe from this discussion, e-mail: [users-unsubscribe at gridengine.sunsource.net].
>

------------------------------------------------------
http://gridengine.sunsource.net/ds/viewMessage.do?dsForumId=38&dsMessageId=135906

To unsubscribe from this discussion, e-mail: [users-unsubscribe at gridengine.sunsource.net].



More information about the gridengine-users mailing list